/* eslint class-methods-use-this: 0, no-underscore-dangle: 0 */

import Files from '../db/files';
import Base from './base';

class FileStorage extends Base {
  startup() {
    Files._ensureIndex({
      name: 1,
    });
    Files._ensureIndex({
      name: 1,
      projectName: 1,
    });
  }

  beforeProject(runID, project) {
    Files.remove({
      project,
    });
  }

  addFile(data) {
    Files.insert(data);
  }
}

FileStorage.singleton = new FileStorage();

export default FileStorage.singleton;
