/* eslint class-methods-use-this: 0, no-underscore-dangle: 0 */

import Projects from '../db/projects';
import Base from './base';

class ProjectStorage extends Base {
  startup() {
    Projects._ensureIndex({
      name: 1,
    });
  }

  beforeProject(runID, name) {
    Projects.remove({
      name,
    });
  }

  addProject(data) {
    Projects.insert(data);
  }
}

ProjectStorage.singleton = new ProjectStorage();

export default ProjectStorage.singleton;
